EcmaError (rhino 1.7.14 API)

org.mozilla.javascript

## Class EcmaError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.mozilla.javascript.RhinoException
        - - org.mozilla.javascript.EcmaError

- All Implemented Interfaces:
    java.io.Serializable

      public class EcmaError
      extends RhinoException

  The class of exceptions raised by the engine as described in ECMA edition 3. See section 15.11.6 in particular.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmaError(Scriptable nativeError, java.lang.String sourceName, int lineNumber, int columnNumber, java.lang.String lineSource)` Deprecated. EcmaError error instances should not be constructed explicitly since they are generated by the engine.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `details()`
    `int` | `getColumnNumber()` Deprecated. Use `RhinoException.columnNumber()` from the super class.
    `java.lang.String` | `getErrorMessage()` Gets the message corresponding to the error.
    `Scriptable` | `getErrorObject()` Deprecated. Always returns null.
    `int` | `getLineNumber()` Deprecated. Use `RhinoException.lineNumber()` from the super class.
    `java.lang.String` | `getLineSource()` Deprecated. Use `RhinoException.lineSource()` from the super class.
    `java.lang.String` | `getName()` Gets the name of the error.
    `java.lang.String` | `getSourceName()` Deprecated. Use `RhinoException.sourceName()` from the super class.

    - ### Methods inherited from class org.mozilla.javascript.RhinoException

      `columnNumber, getMessage, getScriptStack, getScriptStack, getScriptStackTrace, getScriptStackTrace, getScriptStackTrace, getStackStyle, initColumnNumber, initLineNumber, initLineSource, initSourceName, lineNumber, lineSource, printStackTrace, printStackTrace, setStackStyle, sourceName, useMozillaStackStyle, usesMozillaStackStyle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EcmaError

          @Deprecated
          public EcmaError(Scriptable nativeError,
                                       java.lang.String sourceName,
                                       int lineNumber,
                                       int columnNumber,
                                       java.lang.String lineSource)

      Deprecated. EcmaError error instances should not be constructed explicitly since they are generated by the engine.

  - ### Method Detail

    - #### details

          public java.lang.String details()

      Overrides:
        `details` in class `RhinoException`

    - #### getName

          public java.lang.String getName()

      Gets the name of the error. ECMA edition 3 defines the following errors: EvalError, RangeError, ReferenceError, SyntaxError, TypeError, and URIError. Additional error names may be added in the future. See ECMA edition 3, 15.11.7.9.
      Returns:
        the name of the error.

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets the message corresponding to the error. See ECMA edition 3, 15.11.7.10.
      Returns:
        an implementation-defined string describing the error.

    - #### getSourceName

          @Deprecated
          public java.lang.String getSourceName()

      Deprecated. Use `RhinoException.sourceName()` from the super class.

    - #### getLineNumber

          @Deprecated
          public int getLineNumber()

      Deprecated. Use `RhinoException.lineNumber()` from the super class.

    - #### getColumnNumber

          @Deprecated
          public int getColumnNumber()

      Deprecated. Use `RhinoException.columnNumber()` from the super class.

    - #### getLineSource

          @Deprecated
          public java.lang.String getLineSource()

      Deprecated. Use `RhinoException.lineSource()` from the super class.

    - #### getErrorObject

          @Deprecated
          public Scriptable getErrorObject()

      Deprecated. Always returns null.